librtmidi-dev_3.0.0~ds1-2_amd64.deb


Advertisement

Description

librtmidi-dev - C++ library for realtime MIDI input/ouput (development files)

Property Value
Distribution Debian Sid
Repository Debian Main amd64
Package name librtmidi-dev
Package version 3.0.0~ds1
Package release 2
Package architecture amd64
Package type deb
Installed size 62 B
Download size 14.88 KB
Official Mirror ftp.br.debian.org
Description -

Alternatives

Package Version Architecture Repository
librtmidi-dev_3.0.0~ds1-2_i386.deb 3.0.0~ds1 i386 Debian Main
librtmidi-dev - - -

Requires

Name Value
libasound2-dev -
libjack-dev -
librtaudio-dev -
librtmidi4 = 3.0.0~ds1-2

Download

Type URL
Binary Package librtmidi-dev_3.0.0~ds1-2_amd64.deb
Source Package rtmidi

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install librtmidi-dev deb package:
    # sudo apt-get install librtmidi-dev

Files

Path
/usr/include/rtmidi/RtMidi.h
/usr/include/rtmidi/rtmidi_c.h
/usr/lib/x86_64-linux-gnu/librtmidi.so
/usr/lib/x86_64-linux-gnu/pkgconfig/rtmidi.pc
/usr/share/doc/librtmidi-dev/README.md
/usr/share/doc/librtmidi-dev/changelog.Debian.gz
/usr/share/doc/librtmidi-dev/changelog.gz
/usr/share/doc/librtmidi-dev/copyright

Changelog

2017-10-27 - Jaromír Mikeš <mira.mikes@seznam.cz>
rtmidi (3.0.0~ds1-2) unstable; urgency=medium
* Upload to unstable.
2017-10-23 - Jaromír Mikeš <mira.mikes@seznam.cz>
rtmidi (3.0.0~ds1-1~exp3) experimental; urgency=medium
* Set hardening all.
* Patch to enable kFreeBSD/Hurd builds.
* Patches refreshed.
* Drop linux-any from arch-specifier.
* Patches renumbered.
2017-10-22 - Jaromír Mikeš <mira.mikes@seznam.cz>
rtmidi (3.0.0~ds1-1~exp2) experimental; urgency=medium
* Add libjs-jquery as dep of doc package.
* Use .links file rather than creating them manually.
2017-10-08 - IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>
rtmidi (3.0.0~ds1-1~exp1) experimental; urgency=medium
* New upstream version 3.0.0~ds1
[ Jaromír Mikeš ]
* Repack by copyright file now.
* Exclude .gitignore file on repack.
* Add description to patch.
* Add doc-base file.
[ IOhannes m zmölnig ]
* Refreshed and updated patches
* Fixed configure.ac patch
* Unbreak configure.ac if 'prefix' is defined
* Soname bump: librtmidi3 -> librtmidi4
* Added librtmidi-doc
* Suggested by the -dev package
* Removed .gitignore
* Dropped unused rule in d/rules
* Install README.md
* Added myself to uploaders
* Bumped standards to 4.1.1
2017-10-03 - Jaromír Mikeš <mira.mikes@seznam.cz>
rtmidi (2.1.1~ds0-5) unstable; urgency=medium
* Tune .gitignore file.
* Set compat/dh 10.
* Sign tags.
* Update copyright file.
* Bump Standards.
* Fix FTCBS (Closes: #877386).
2016-07-24 - Jaromír Mikeš <mira.mikes@seznam.cz>
rtmidi (2.1.1~ds0-4) unstable; urgency=medium
* Upload to unstable.
2016-06-27 - Jaromír Mikeš <mira.mikes@seznam.cz>
rtmidi (2.1.1~ds0-3) experimental; urgency=medium
* Fix pkg-config-bad-directive properly.
2016-06-27 - Jaromír Mikeš <mira.mikes@seznam.cz>
rtmidi (2.1.1~ds0-2) experimental; urgency=medium
* Install headers as upstream intended.
2016-06-17 - Jaromír Mikeš <mira.mikes@seznam.cz>
rtmidi (2.1.1~ds0-1) experimental; urgency=medium
* Switch to get-orig-source.
* Imported Upstream version 2.1.1~ds0
* Bump Standards.
* Fix VCS fields.
* Patches refreshed/removed.
* Add patch to not install doc images.
* Install files by install file rather than rules file.
* Fix some hardening.
* Fix pkg-config-bad-directive.
* Install upstream changelog.
* Bump soname.
* Install both headers.
* Drop useless patches.
* Add patch to pass cxxflags.
* Remove ${shlibs:Depends} from dev package.
2015-08-05 - Sebastian Ramacher <sramacher@debian.org>
rtmidi (2.1.0~ds0-4) unstable; urgency=medium
* Team upload.
* Rename librtmidi2 for GCC 5 transition.
* debian/control: Bump Standards-Version.
* debian/patches/0001-buildsystem.patch: Honor LDFLAGS.

See Also

Package Description
librtmidi-doc_3.0.0~ds1-2_all.deb C++ library for realtime MIDI input/ouput (documentation files)
librtmidi4_3.0.0~ds1-2_amd64.deb C++ library for realtime MIDI input/ouput
librtmp-dev_2.4+20151223.gitfa8646d.1-2_amd64.deb toolkit for RTMP streams (development files)
librtmp1_2.4+20151223.gitfa8646d.1-2_amd64.deb toolkit for RTMP streams (shared library)
librttopo-dev_1.0.0-1_amd64.deb Tuscany Region topology library - Development files
librttopo1_1.0.0-1_amd64.deb Tuscany Region topology library
librubberband-dev_1.8.1-7_amd64.deb audio time-stretching and pitch-shifting library (development files)
librubberband2_1.8.1-7_amd64.deb audio time-stretching and pitch-shifting library
libruby2.5_2.5.1-6+b1_amd64.deb Libraries necessary to run Ruby 2.5
libruby_2.5.1_all.deb Libraries necessary to run Ruby
librudecgi-dev_5.0.0-1.1+b2_amd64.deb C++ parser library for CGI applications - development libraries
librudecgi5_5.0.0-1.1+b2_amd64.deb C++ parser library for CGI applications - runtime
libruli-bin_0.33-1.1+b2_amd64.deb Library for easily querying DNS SRV records - sample programs
libruli4-dev_0.33-1.1+b2_amd64.deb Library for easily querying DNS SRV records - development files
libruli4_0.33-1.1+b2_amd64.deb Library for easily querying DNS SRV records
Advertisement
Advertisement